import os

from dotenv import load_dotenv

from utils import evaluate_bool

load_dotenv()

DATABASE_URI = os.getenv("DATABASE")
SERVICE_NAME = os.getenv("SERVICE_NAME")
SERVICE_TYPE = os.getenv("SERVICE_TYPE")
SERVICE_IP = os.getenv("SERVICE_IP")
SERVICE_PORT = os.getenv("SERVICE_PORT")
DEFAULT_ENDPOINTS = evaluate_bool(os.getenv("DEFAULT_ENDPOINTS", "false"))
LOG_LEVEL = os.getenv("LOG_LEVEL")
RECREATE_DB = evaluate_bool(os.getenv("RECREATE_DB", "false"))
